Create a native Make Credential Request
curl --request POST \
--url https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"provider_organization_id": 4503599627370496,
"team_id": 4503599627370496,
"selections": [
{
"app_name": "<string>",
"app_version": 4503599627370496,
"module_ids": [
"<string>"
],
"endpoint_names": [
"<string>"
]
}
]
}
'import requests
url = "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests"
payload = {
"provider_organization_id": 4503599627370496,
"team_id": 4503599627370496,
"selections": [
{
"app_name": "<string>",
"app_version": 4503599627370496,
"module_ids": ["<string>"],
"endpoint_names": ["<string>"]
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
provider_organization_id: 4503599627370496,
team_id: 4503599627370496,
selections: [
{
app_name: '<string>',
app_version: 4503599627370496,
module_ids: ['<string>'],
endpoint_names: ['<string>']
}
]
})
};
fetch('https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_organization_id' => 4503599627370496,
'team_id' => 4503599627370496,
'selections' => [
[
'app_name' => '<string>',
'app_version' => 4503599627370496,
'module_ids' => [
'<string>'
],
'endpoint_names' => [
'<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests"
payload := strings.NewReader("{\n \"provider_organization_id\": 4503599627370496,\n \"team_id\": 4503599627370496,\n \"selections\": [\n {\n \"app_name\": \"<string>\",\n \"app_version\": 4503599627370496,\n \"module_ids\": [\n \"<string>\"\n ],\n \"endpoint_names\": [\n \"<string>\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_organization_id\": 4503599627370496,\n \"team_id\": 4503599627370496,\n \"selections\": [\n {\n \"app_name\": \"<string>\",\n \"app_version\": 4503599627370496,\n \"module_ids\": [\n \"<string>\"\n ],\n \"endpoint_names\": [\n \"<string>\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_organization_id\": 4503599627370496,\n \"team_id\": 4503599627370496,\n \"selections\": [\n {\n \"app_name\": \"<string>\",\n \"app_version\": 4503599627370496,\n \"module_ids\": [\n \"<string>\"\n ],\n \"endpoint_names\": [\n \"<string>\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"state": "created",
"request_id": "<string>",
"provider_status": "<string>",
"authorization_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "https://docs.ohmyho.st/errors/resource-not-found",
"title": "Resource not found",
"status": 404,
"code": "resource_not_found",
"request_id": "req_01J00000000000000000000000",
"retryable": false,
"suggested_action": "Check the resource identifier and your access scope."
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}API Reference
Create a native Make Credential Request
Uses the workspace owner’s Make grant to create a private Make authorization link for selected standard app modules or Endpoints. Retry the same logical request with the same idempotency key and selections. Treat an uncertain result as pending investigation.
POST
/
v1
/
organizations
/
{organization_id}
/
connections
/
{grant_id}
/
credential-requests
Create a native Make Credential Request
curl --request POST \
--url https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"provider_organization_id": 4503599627370496,
"team_id": 4503599627370496,
"selections": [
{
"app_name": "<string>",
"app_version": 4503599627370496,
"module_ids": [
"<string>"
],
"endpoint_names": [
"<string>"
]
}
]
}
'import requests
url = "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests"
payload = {
"provider_organization_id": 4503599627370496,
"team_id": 4503599627370496,
"selections": [
{
"app_name": "<string>",
"app_version": 4503599627370496,
"module_ids": ["<string>"],
"endpoint_names": ["<string>"]
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
provider_organization_id: 4503599627370496,
team_id: 4503599627370496,
selections: [
{
app_name: '<string>',
app_version: 4503599627370496,
module_ids: ['<string>'],
endpoint_names: ['<string>']
}
]
})
};
fetch('https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider_organization_id' => 4503599627370496,
'team_id' => 4503599627370496,
'selections' => [
[
'app_name' => '<string>',
'app_version' => 4503599627370496,
'module_ids' => [
'<string>'
],
'endpoint_names' => [
'<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests"
payload := strings.NewReader("{\n \"provider_organization_id\": 4503599627370496,\n \"team_id\": 4503599627370496,\n \"selections\": [\n {\n \"app_name\": \"<string>\",\n \"app_version\": 4503599627370496,\n \"module_ids\": [\n \"<string>\"\n ],\n \"endpoint_names\": [\n \"<string>\"\n ]\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"provider_organization_id\": 4503599627370496,\n \"team_id\": 4503599627370496,\n \"selections\": [\n {\n \"app_name\": \"<string>\",\n \"app_version\": 4503599627370496,\n \"module_ids\": [\n \"<string>\"\n ],\n \"endpoint_names\": [\n \"<string>\"\n ]\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.ohmyho.st/v1/organizations/{organization_id}/connections/{grant_id}/credential-requests")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"provider_organization_id\": 4503599627370496,\n \"team_id\": 4503599627370496,\n \"selections\": [\n {\n \"app_name\": \"<string>\",\n \"app_version\": 4503599627370496,\n \"module_ids\": [\n \"<string>\"\n ],\n \"endpoint_names\": [\n \"<string>\"\n ]\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"state": "created",
"request_id": "<string>",
"provider_status": "<string>",
"authorization_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "https://docs.ohmyho.st/errors/resource-not-found",
"title": "Resource not found",
"status": 404,
"code": "resource_not_found",
"request_id": "req_01J00000000000000000000000",
"retryable": false,
"suggested_action": "Check the resource identifier and your access scope."
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}{
"type": "<string>",
"title": "<string>",
"status": 499,
"code": "invalid_request",
"request_id": "<string>",
"retryable": true,
"suggested_action": "<string>",
"detail": "<string>",
"instance": "<string>",
"retry_after_seconds": 43200
}Authorizations
Headers
Path Parameters
Body
application/json
Response
Credential Request result and its private Make link when available.